# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Effectivity Class Reference

`#include <StepBasic_Effectivity.hxx>`

Inheritance diagram for StepBasic_Effectivity:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_Effectivity ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aid)
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&aid)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theid

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Effectivity::StepBasic_Effectivity | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_Effectivity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_ProductDefinitionEffectivity, and StepRepr_ConfigurationEffectivity.

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Effectivity::Id | ( |  | ) | const

Standard_EXPORT void StepBasic_Effectivity::Init | ( | const Handle(TCollection_HAsciiString)& | aid | ) |

Standard_EXPORT void StepBasic_Effectivity::SetId | ( | const Handle(TCollection_HAsciiString)& | aid | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_Effectivity::theid `[private]`

The documentation for this class was generated from the following file:

- StepBasic_Effectivity.hxx